# $Revision: 1.19 $, $Date: 2001/12/20 10:42:01 $
Summary:	A URL extractor/viewer for use with Mutt
Summary(pl):	Program do wycigania/ogldania URL-i dla Mutta
Name:		urlview
Version:	0.9
Release:	4
License:	GPL
Group:		Applications/Networking
Group(de):	Applikationen/Netzwerkwesen
Group(pl):	Aplikacje/Sieciowe
Source0:	ftp://ftp.mutt.org/pub/mutt/contrib/%{name}-%{version}.tar.gz
Patch0:		%{name}-DESTDIR.patch
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	slang-devel
Requires:	webclient
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
urlview extracts URLs from a given text file, and presents a menu of
URLs to view using a user specified command.

%description -l pl
urlview wyciga URL-e z podanego pliku tekstowego i pokazuje menu
pozwalajce je oglda podanym poleceniem.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
aclocal
autoconf
automake -a -c
%configure \
	--with-slang
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install url_handler.sh $RPM_BUILD_ROOT%{_bindir}/

gzip -9nf AUTHORS ChangeLog README sample.urlview urlview.sgml

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: urlview.spec,v $
Revision 1.19  2001/12/20 10:42:01  qboosh
- pl translation; release 4

Revision 1.18  2001/11/10 12:54:50  kloczek
- added DESTDIR patch and DESTDIR style %install,
- regenerate ac/am files,
- changed Groutp to Application/Networking,
- added BuildRequires rules.

Revision 1.17  2001/11/10 07:53:51  djrzulf
- corrected log message

Revision 1.16  2001/11/09 23:01:58  yascool
- update to new version
- change of source's URL
- added /etc/urlview.conf

Revision 1.15  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.14  2000/06/09 07:55:13  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/06/07 04:41:53  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.9  1999/07/13 19:45:30  baggins
- FHS 2.0
- gziping docs
- macros

Revision 1.8  1999/07/12 23:06:16  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Thu Mar 18 1999 Bill Nottingham <notting@redhat.com>
- strip binary
- fix defaults some

* Sat Dec 12 1998 Bill Nottingham <notting@redhat.com>
- initial build
